MGASA-2021-0201 - Updated sdl2 packages fix security vulnerabilities

Publication date: 30 Apr 2021
URL: https://advisories.mageia.org/MGASA-2021-0201.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2020-14409,
     CVE-2020-14410

This update fixes two security vulnerabilities which could result in heap
corruption or over-read with crafted .BMP files (CVE-2020-14409,
CVE-2020-14410).

References:
- https://bugs.mageia.org/show_bug.cgi?id=28275
- https://security-tracker.debian.org/tracker/CVE-2020-14409
- https://security-tracker.debian.org/tracker/CVE-2020-14410
- https://github.com/libsdl-org/SDL/commit/a7ff6e96155f550a5597621ebeddd03c98aa9294
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14409
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-14410

SRPMS:
- 7/core/sdl2-2.0.10-1.1.mga7
- 7/core/mingw-SDL2-2.0.10-1.1.mga7